window.Gleam.initSearch([{"doc":"term_size","title":"term_size","content":"# term_size\n\nRetrieve the terminal&#39;s size in rows and columns.\n\n[![Package Version](https://img.shields.io/hexpm/v/term_size)](https://hex.pm/packages/term_size)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/term_size/)\n\n✨ This package works on all targets!\n\n```sh\ngleam add term_size\n```\n\n```gleam\nimport gleam/io\nimport gleam/string\nimport term_size\n\npub fn main() {\n  let assert Ok(columns) = term_size.columns()\n\n  string.repeat(&quot;-&quot;, columns)\n  |&gt; io.println\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/term_size&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"term_size","title":"columns","content":"pub fn columns() -&gt; Result(Int, Nil)\n Get the character width of the terminal.\n\nSynonyms:\nterm_size.columns\nterm_size columns","url":"term_size.html#columns"},{"doc":"term_size","title":"get","content":"pub fn get() -&gt; Result(#(Int, Int), Nil)\n Get the current terminal&#39;s size. The return tuple is of the form\n `#(rows, columns)`.\n\n\n \n import term_size\n\n pub fn main() {\n   case term_size.get() {\n     Ok(#(rows, columns)) -&gt; // ...\n     Error(Nil) -&gt; // ...\n   }\n }\n \n\nSynonyms:\nterm_size.get\nterm_size get","url":"term_size.html#get"},{"doc":"term_size","title":"rows","content":"pub fn rows() -&gt; Result(Int, Nil)\n Get the number of rows (lines) visible in the terminal.\n\nSynonyms:\nterm_size.rows\nterm_size rows","url":"term_size.html#rows"},{"doc":"term_size","title":"term_size","content":" All functions return `Error(Nil)` if the terminal&#39;s size could not be\n determined for any reason.","url":"term_size.html"}]);